ENT.id = 300

if CLIENT

ENT.anims = {
	{
		{{192,80},nil,-1}
	}
}

function ENT:think()
	if math.floor(self.life%8) == 0 then
		local x = self.x + math.random(-self.info.collision[BBOX.LEFT],self.info.collision[BBOX.RIGHT])
		local y = self.y + math.random(-self.info.collision[BBOX.TOP],self.info.collision[BBOX.BOTTOM])
		local sparkle = NPC.spawn({x=x,y=y,type='sparkle'})
		sparkle.my = -(math.random()*3+0.25)
	end
end

else

ENT.spawnOffset = {0,8}

end
